Subject: [Fot] Kastner Cup Stuff .. Kastner Cup 2015 @ Summit Point. eBay

From: Joe Alexander <[email-masked]>
Date: Thu, 16 Jul 2015 12:44:49 -0500

FOT:

If this facilitates your acquisition......I put the John Clancy DVD and the Clark Lincoln Poster on eBay.

I also put Kas' last book on eBay at a very low price.  " Kas Kastner Triumphs "

Additionally, I put one of Ken Knight's new aluminum distributor pedestals on eBay. Ken, like a few others, are trying to bring new Triumph products to our market.  NFI here, just trying to support Ken.

Regards,

Joe Alexander
645 1st Street
Jesup, IA 50648
The-vintage-racer.com
Gasketinnovations.com
Cell:  319.464.4711
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive